<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.hongyegroup.cpt_parttime.mvvm.PartJobDetailChildViewModel" />

        <variable
            name="click"
            type="com.hongyegroup.cpt_parttime.ui.fragment.PartJobDetailFragment.ClickProxy" />

        <import type="android.text.TextUtils" />

    </data>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/page_bg"
        android:orientation="vertical">

        <!--顶部工作详情基本信息-->
        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <!--    基本信息     -->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white"
                android:orientation="vertical"
                android:paddingTop="20dp">

                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_30dp"
                    android:layout_marginTop="@dimen/d_5dp"
                    android:layout_marginRight="@dimen/d_10dp"
                    android:drawableLeft="@drawable/iv_job_detail_classify"
                    android:drawablePadding="@dimen/d_10dp"
                    android:text="食品宴会"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_15sp" />

                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_30dp"
                    android:layout_marginTop="@dimen/d_15dp"
                    android:layout_marginRight="@dimen/d_10dp"
                    android:drawableLeft="@drawable/iv_job_detail_category"
                    android:drawablePadding="@dimen/d_10dp"
                    android:text="香格里拉大酒店"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_15sp" />


                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_30dp"
                    android:layout_marginTop="@dimen/d_15dp"
                    android:layout_marginRight="@dimen/d_10dp"
                    android:drawableLeft="@drawable/iv_job_detail_address"
                    android:drawablePadding="@dimen/d_10dp"
                    android:text="湖北省武汉市东西湖区武汉小镇"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_15sp" />

                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_30dp"
                    android:layout_marginTop="@dimen/d_15dp"
                    android:layout_marginRight="@dimen/d_10dp"
                    android:drawableLeft="@drawable/iv_job_detail_time"
                    android:drawablePadding="@dimen/d_10dp"
                    android:text="2022/07/29 (06:00-23:00)"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_15sp" />

                <View
                    android:layout_width="1dp"
                    android:layout_height="20dp" />

            </LinearLayout>

            <!--   显示时薪   -->
            <LinearLayout
                android:layout_width="100dp"
                android:layout_height="100dp"
                android:layout_alignParentRight="true"
                android:layout_marginTop="30dp"
                android:layout_marginRight="10dp"
                android:background="@drawable/iv_job_detail_price_bg"
                android:gravity="center"
                android:orientation="vertical">

                <LinearLayout
                    android:id="@+id/ll_job_detail_hourly_rate"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:gravity="center_horizontal"
                    android:orientation="horizontal">

                    <com.guadou.lib_baselib.font_text_view.TextViewRegular
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:layout_marginBottom="@dimen/d_5dp"
                        android:gravity="bottom"
                        android:includeFontPadding="false"
                        android:text="¥"
                        android:textColor="@color/black"
                        android:textSize="@dimen/d_13sp" />

                    <com.guadou.cs_cptservices.widget.NoPaddingTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:text="18"
                        android:textColor="@color/black"
                        android:textSize="29sp"
                        app:removeDefaultPadding="true"
                        binding:typefaceRegular="@{true}" />

                </LinearLayout>

                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:text="/ 小时"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_13sp" />

            </LinearLayout>

        </RelativeLayout>

        <!--Location-导航-->
        <LinearLayout
            android:id="@+id/linear_location"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:background="@color/white"
            android:orientation="vertical"
            android:paddingBottom="20dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="3dp">

                <ImageView
                    android:layout_width="@dimen/dp_10"
                    android:layout_height="@dimen/dp_10"
                    android:layout_gravity="center_vertical"
                    android:layout_marginLeft="20dp"
                    android:src="@drawable/shape_circle_red" />

                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginRight="10dp"
                    android:layout_marginBottom="10dp"
                    android:text="地址"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_16sp" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/d_1dp"
                android:background="@color/divider_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="30dp"
                android:layout_marginTop="15dp"
                android:layout_marginRight="10dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:src="@drawable/iv_job_detail_address" />

                <com.guadou.lib_baselib.font_text_view.TextViewMedium
                    android:id="@+id/tv_location"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_weight="4"
                    android:text="湖北省武汉市东西湖区武汉小镇 J栋1822室"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_15sp" />

                <LinearLayout
                    android:id="@+id/ll_direction_box"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/d_10dp"
                    android:layout_marginRight="@dimen/d_5dp"
                    android:background="@drawable/shape_blue_round5"
                    android:gravity="center"
                    android:orientation="horizontal">

                    <com.guadou.lib_baselib.font_text_view.TextViewBold
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:drawableLeft="@drawable/job_detail_directions_icon"
                        android:drawablePadding="@dimen/d_5dp"
                        android:paddingLeft="@dimen/d_13dp"
                        android:paddingTop="@dimen/d_8dp"
                        android:paddingRight="@dimen/d_15dp"
                        android:paddingBottom="@dimen/d_8dp"
                        android:text="地图"
                        android:textColor="@color/white"
                        android:textSize="@dimen/d_14sp" />

                </LinearLayout>

            </LinearLayout>

        </LinearLayout>

        <!--候选人的要求-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="10dp"
            android:background="@color/white"
            android:orientation="vertical"
            android:paddingBottom="20dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="3dp">

                <ImageView
                    android:layout_width="@dimen/dp_10"
                    android:layout_height="@dimen/dp_10"
                    android:layout_gravity="center_vertical"
                    android:layout_marginLeft="20dp"
                    android:src="@drawable/shape_circle_blue" />

                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginRight="10dp"
                    android:layout_marginBottom="10dp"
                    android:text="候选人要求"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_16sp" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/divider_color" />


            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_30dp"
                android:layout_marginTop="@dimen/d_15dp"
                android:layout_marginRight="@dimen/d_10dp"
                android:drawableLeft="@drawable/part_detail_job_age_icon"
                android:drawablePadding="@dimen/d_10dp"
                android:text="15,16,17,18-20,21-30"
                android:textColor="@color/black"
                android:textSize="@dimen/d_15sp" />

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_30dp"
                android:layout_marginTop="@dimen/d_12dp"
                android:layout_marginRight="@dimen/d_10dp"
                android:drawableLeft="@drawable/part_detail_job_lang_icon"
                android:drawablePadding="@dimen/d_10dp"
                android:text="中文，英语，马来西亚，法语，德语"
                android:textColor="@color/black"
                android:textSize="@dimen/d_15sp" />

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_30dp"
                android:layout_marginTop="@dimen/d_12dp"
                android:layout_marginRight="@dimen/d_10dp"
                android:drawableLeft="@drawable/part_detail_job_gender_icon"
                android:drawablePadding="@dimen/d_10dp"
                android:text="女性"
                android:textColor="@color/black"
                android:textSize="@dimen/d_15sp" />

        </LinearLayout>

        <!--工作的要求-->
        <LinearLayout
            android:id="@+id/linear_job_requirement"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/d_10dp"
            android:background="@color/white"
            android:orientation="vertical"
            android:paddingBottom="@dimen/d_20dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <ImageView
                    android:layout_width="10dp"
                    android:layout_height="10dp"
                    android:layout_gravity="center_vertical"
                    android:layout_marginLeft="20dp"
                    android:src="@drawable/shape_circle_green" />

                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginRight="10dp"
                    android:layout_marginBottom="10dp"
                    android:text="工作要求"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_16sp" />


            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/divider_color" />

            <com.guadou.lib_baselib.font_text_view.TextViewMedium
                android:id="@+id/text_view_job_requirement"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="30dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="10dp"
                android:text="负责公司办公空间的走廊、电梯、电梯、咖啡、公共卫生等的清洁，保持所有公共卫生的整洁，地面干净，无灰尘，无卫生死角;"
                android:textColor="@color/black"
                android:textSize="@dimen/d_15sp" />

        </LinearLayout>

        <!--工作的备注-->
        <LinearLayout
            android:id="@+id/linear_remarks"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/d_10dp"
            android:background="@color/white"
            android:orientation="vertical"
            android:visibility="visible">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <ImageView
                    android:layout_width="10dp"
                    android:layout_height="10dp"
                    android:layout_gravity="center_vertical"
                    android:layout_marginLeft="20dp"
                    android:src="@drawable/shape_circle_yellow" />

                <com.guadou.lib_baselib.font_text_view.TextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="10dp"
                    android:layout_marginRight="10dp"
                    android:layout_marginBottom="10dp"
                    android:text="备注"
                    android:textColor="@color/black"
                    android:textSize="@dimen/d_16sp" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/divider_color" />

            <TextView
                android:id="@+id/text_view_remarks"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="30dp"
                android:layout_marginTop="10dp"
                android:layout_marginRight="@dimen/d_10dp"
                android:layout_marginBottom="20dp"
                android:text="1. 具有深厚的知识底蕴；\n 2. 普通话标准，获得相关资格证书；\n 3. 熟悉主持人工作的具体内容，能根据主持现场 的气氛，即兴发挥，调动全场的气氛；\n 4. 具有传递信息和交流的观念，把听众放在平等 的位置上；\n 5. 有强烈的社会责任感和较高的政治思想水准；\n 6. 具备一定的临场应变和即兴发挥能力；"
                android:textColor="@color/black"
                android:textSize="@dimen/d_15sp" />

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_10dp"
            android:background="@color/white" />

        <com.guadou.lib_baselib.font_text_view.TextViewRegular
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/gray"
            android:gravity="center"
            android:paddingTop="@dimen/d_20dp"
            android:paddingBottom="@dimen/d_20dp"
            android:text="你可能感兴趣的工作"
            android:textColor="@color/black"
            android:textSize="@dimen/d_16sp">

        </com.guadou.lib_baselib.font_text_view.TextViewRegular>

    </LinearLayout>

</layout>